commit:     6f47bb35c41128dbf3741e09d963fb8765d0ee28
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 10 06:50:37 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul 10 11:25:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f47bb35

dev-python/aesara: Bump to 2.7.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/aesara/Manifest            |  1 +
 dev-python/aesara/aesara-2.7.5.ebuild | 92 +++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 3b5625be71d1..745fdf66260a 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -2,3 +2,4 @@ DIST aesara-rel-2.6.6.tar.gz 7847814 BLAKE2B 
e4edd575d49f548fab0ef971dbab88beeb4
 DIST aesara-rel-2.7.0.gh.tar.gz 7854953 BLAKE2B 
0daee9dcad9c39d1eddd469930cb540369f9463f947d706691fe1552b8e39340743aa8d8a809fe8b7943bba253ef1b93018738ca13be7147114ab6cf77a3ee37
 SHA512 
b03a182f366624b496bee46b86d43c68b94d840503317af74113bd5b1c6fefc31e4e4d96d6c5dd129212904729127da949cebf05c5a162711d3872e1747c93a8
 DIST aesara-rel-2.7.1.gh.tar.gz 7857341 BLAKE2B 
edc31030810ec4193901d258c8666080219befccca17bc6165968f959bd57661f92de86720561ab54266906e2be1a83e0fef3e81a62c2810f0b78cda1dbc5265
 SHA512 
85a4b24a5f58cbb95db448d01140ff64f9ea39242b204a49ddbb2ff8827a16d0ba454764ed3ce9d2b6ed58a7494c452cda39582ae89691d44d8f91ec43e1f50d
 DIST aesara-rel-2.7.3.gh.tar.gz 7918433 BLAKE2B 
5f0eaa5cb241db3fb59bfd5fda0566811cb72e5dc902e15aaa269aa5fea35be1c5c51ef7515a386aa9cb20f769ad793a005e85e9b14d10b8be046788842ee496
 SHA512 
ffd1a830b69196537c62b21d6307f6d0f0a93f0a23fb0bacbf17934d2e5a454a93d72d33d0e28eec6b49e917770df5fc43134453e0bf1bd8433ee52ce22935be
+DIST aesara-rel-2.7.5.gh.tar.gz 7920343 BLAKE2B 
04f7c1cf587799b915a54067a98608cee49de8ab8a50c6d8434aa7ad6bd27b547f9e4a4f71d459d8fca9805f97232a9ba4a1beb5240a8e89dd19f807da2b2957
 SHA512 
c68dc6e2893d2749d6ec3a74b850979f0766ac65c34bf07af3c0f1a16874e44f5102e1d036a88a7a43f51a44d3fffd65babf67373982362b034a2410124d4aad

diff --git a/dev-python/aesara/aesara-2.7.5.ebuild 
b/dev-python/aesara/aesara-2.7.5.ebuild
new file mode 100644
index 000000000000..5dfa54ec6053
--- /dev/null
+++ b/dev-python/aesara/aesara-2.7.5.ebuild
@@ -0,0 +1,92 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with 
multi-dimensional arrays"
+HOMEPAGE="
+       https://github.com/aesara-devs/aesara/
+       https://pypi.org/project/aesara/
+"
+SRC_URI="
+       https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/cons[${PYTHON_USEDEP}]
+       dev-python/etuples[${PYTHON_USEDEP}]
+       dev-python/logical-unification[${PYTHON_USEDEP}]
+       dev-python/minikanren[${PYTHON_USEDEP}]
+       dev-python/filelock[${PYTHON_USEDEP}]
+       <dev-python/numpy-1.23[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]
+       dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}"/aesara-2.6.5-compiledir-tid.patch
+)
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # speed tests are unreliable
+               tests/scan/test_basic.py::test_speed
+               tests/scan/test_basic.py::test_speed_rnn
+               tests/scan/test_basic.py::test_speed_batchrnn
+               tests/link/test_vm.py::test_speed
+               tests/link/test_vm.py::test_speed_lazy
+               tests/tensor/test_gc.py::test_merge_opt_runtime
+
+               # rounding problem?
+               # https://github.com/aesara-devs/aesara/issues/477
+               tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+               
tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+       )
+       local EPYTEST_IGNORE=(
+               # we do not package numba
+               tests/link/test_numba.py
+               tests/link/test_numba_performance.py
+               # ..or jax
+               tests/link/test_jax.py
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x AESARA_FLAGS="cxx=${CXX}"
+       AESARA_FLAGS+=",config.gcc__cxxflags=\"${CXXFLAGS}\""
+       AESARA_FLAGS+=',compiledir_format="compiledir_%(thread_id)s"'
+
+       epytest -p xdist.plugin -n "$(makeopts_jobs)"
+       # clean up the compiledir, as it can grow pretty large
+       rm -r "${HOME}"/.aesara || die
+}
+
+python_compile() {
+       distutils-r1_python_compile
+       rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+       optfeature "GPU code generation/execution on NVIDIA gpus" 
dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+       optfeature "GPU/CPU code generation on CUDA and OpenCL devices" 
dev-libs/libgpuarray dev-python/pycuda
+}

Reply via email to